Package org.silverpeas.components.gallery.model

# Class MediaLogicalComparator

java.lang.Object
org.silverpeas.core.util.comparator.AbstractComparator<C>
org.silverpeas.core.util.comparator.AbstractComplexComparator<Media>
org.silverpeas.components.gallery.model.MediaLogicalComparator

All Implemented Interfaces:
  `Serializable`, `Comparator<Media>`

public class MediaLogicalComparator extends org.silverpeas.core.util.comparator.AbstractComplexComparator<Media>
This class handles the logical comparison of media data.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.util.comparator.AbstractComplexComparator

  `org.silverpeas.core.util.comparator.AbstractComplexComparator.StringWrapper, org.silverpeas.core.util.comparator.AbstractComplexComparator.ValueBuffer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.silverpeas.core.util.comparator.AbstractComplexComparator<Media>.org.silverpeas.core.util.comparator.AbstractComplexComparator.ValueBuffer`
  `getValuesToCompare(Media media)`
  `static MediaLogicalComparator`
  `on(List<MediaCriteria.QUERY_ORDER_BY> logicalOrderBy)`
  `static MediaLogicalComparator`
  `on(MediaCriteria.QUERY_ORDER_BY... logicalOrderBy)`

  ### Methods inherited from class org.silverpeas.core.util.comparator.AbstractComplexComparator

  `compare`

  ### Methods inherited from class org.silverpeas.core.util.comparator.AbstractComparator

  `compare, strictComparisonOnText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Method Details

  - ### on

    public static MediaLogicalComparator on(MediaCriteria.QUERY_ORDER_BY... logicalOrderBy)

  - ### on

    public static MediaLogicalComparator on(List<MediaCriteria.QUERY_ORDER_BY> logicalOrderBy)

  - ### getValuesToCompare

    protected org.silverpeas.core.util.comparator.AbstractComplexComparator<Media>.org.silverpeas.core.util.comparator.AbstractComplexComparator.ValueBuffer getValuesToCompare(Media media)
    Specified by:
      `getValuesToCompare` in class `org.silverpeas.core.util.comparator.AbstractComplexComparator<Media>`